HaskellForMaths-0.4.9: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None
Language | Haskell98

Math.Projects.KnotTheory.LaurentMPoly

# Documentation

newtype LaurentMonomial Source #

Constructors

LM (Map String Q) |

#### Instances

Instances details

Eq LaurentMonomial Source # |
Instance details Defined in Math.Projects.KnotTheory.LaurentMPoly Methods (==) :: LaurentMonomial -> LaurentMonomial -> Bool (/=) :: LaurentMonomial -> LaurentMonomial -> Bool
Fractional LaurentMonomial Source # |
Instance details Defined in Math.Projects.KnotTheory.LaurentMPoly Methods (/) :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial recip :: LaurentMonomial -> LaurentMonomial fromRational :: Rational -> LaurentMonomial
Num LaurentMonomial Source # |

Instance details

Defined in Math.Projects.KnotTheory.LaurentMPoly

Methods

(+) :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial

(-) :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial

(*) :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial

negate :: LaurentMonomial -> LaurentMonomial

abs :: LaurentMonomial -> LaurentMonomial

signum :: LaurentMonomial -> LaurentMonomial

fromInteger :: Integer -> LaurentMonomial

Ord LaurentMonomial Source # |

Instance details

Defined in Math.Projects.KnotTheory.LaurentMPoly

Methods

compare :: LaurentMonomial -> LaurentMonomial -> Ordering

(<) :: LaurentMonomial -> LaurentMonomial -> Bool

(<=) :: LaurentMonomial -> LaurentMonomial -> Bool

(>) :: LaurentMonomial -> LaurentMonomial -> Bool

(>=) :: LaurentMonomial -> LaurentMonomial -> Bool

max :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial

min :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial

Show LaurentMonomial Source # |
Instance details Defined in Math.Projects.KnotTheory.LaurentMPoly Methods showsPrec :: Int -> LaurentMonomial -> ShowS show :: LaurentMonomial -> String showList :: [LaurentMonomial] -> ShowS

degLM :: LaurentMonomial -> Q Source #

denominatorLM :: LaurentMonomial -> LaurentMonomial Source #

lcmLM :: LaurentMonomial -> LaurentMonomial -> LaurentMonomial Source #

divLM :: LaurentMonomial -> LaurentMonomial -> Maybe LaurentMonomial Source #

newtype LaurentMPoly r Source #

Constructors

LP [(LaurentMonomial, r)] |

#### Instances

Instances details

Invertible LPQ Source # |
Instance details Defined in Math.Projects.KnotTheory.Braid Methods inv :: LPQ -> LPQ Source #
Eq r => Eq (LaurentMPoly r) Source # |
Instance details Defined in Math.Projects.KnotTheory.LaurentMPoly Methods (==) :: LaurentMPoly r -> LaurentMPoly r -> Bool (/=) :: LaurentMPoly r -> LaurentMPoly r -> Bool
(Eq r, Fractional r) => Fractional (LaurentMPoly r) Source # |
Instance details Defined in Math.Projects.KnotTheory.LaurentMPoly Methods (/) :: LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r recip :: LaurentMPoly r -> LaurentMPoly r fromRational :: Rational -> LaurentMPoly r
(Eq r, Num r) => Num (LaurentMPoly r) Source # |

Instance details

Defined in Math.Projects.KnotTheory.LaurentMPoly

Methods

(+) :: LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r

(-) :: LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r

(*) :: LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r

negate :: LaurentMPoly r -> LaurentMPoly r

abs :: LaurentMPoly r -> LaurentMPoly r

signum :: LaurentMPoly r -> LaurentMPoly r

fromInteger :: Integer -> LaurentMPoly r

Ord r => Ord (LaurentMPoly r) Source # |

Instance details

Defined in Math.Projects.KnotTheory.LaurentMPoly

Methods

compare :: LaurentMPoly r -> LaurentMPoly r -> Ordering

(<) :: LaurentMPoly r -> LaurentMPoly r -> Bool

(<=) :: LaurentMPoly r -> LaurentMPoly r -> Bool

(>) :: LaurentMPoly r -> LaurentMPoly r -> Bool

(>=) :: LaurentMPoly r -> LaurentMPoly r -> Bool

max :: LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r

min :: LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r

Show r => Show (LaurentMPoly r) Source # |
Instance details Defined in Math.Projects.KnotTheory.LaurentMPoly Methods showsPrec :: Int -> LaurentMPoly r -> ShowS show :: LaurentMPoly r -> String showList :: [LaurentMPoly r] -> ShowS
Invertible (NPoly LPQ BraidGens) Source # |
Instance details Defined in Math.Projects.KnotTheory.Braid Methods inv :: NPoly LPQ BraidGens -> NPoly LPQ BraidGens Source #
Invertible (NPoly LPQ IwahoriHeckeGens) Source # |
Instance details Defined in Math.Projects.KnotTheory.IwahoriHecke Methods inv :: NPoly LPQ IwahoriHeckeGens -> NPoly LPQ IwahoriHeckeGens Source #

cmpTerm :: Ord a => (a, b1) -> (a, b2) -> Ordering Source #

mergeTerms :: (Ord a, Eq b, Num b) => [(a, b)] -> [(a, b)] -> [(a, b)] Source #

collect :: (Num a1, Eq a2, Eq a1) => [(a2, a1)] -> [(a2, a1)] Source #

lm :: LaurentMPoly r -> LaurentMonomial Source #

lc :: LaurentMPoly r -> r Source #

lt :: LaurentMPoly r -> LaurentMPoly r Source #

quotRemLP :: (Eq r, Fractional r) => LaurentMPoly r -> LaurentMPoly r -> (LaurentMPoly r, LaurentMPoly r) Source #

reduceLP :: (Eq r, Fractional r) => LaurentMPoly r -> LaurentMPoly r -> LaurentMPoly r Source #

var :: Num r => String -> LaurentMPoly r Source #

t :: LaurentMPoly Q Source #

x :: LaurentMPoly Q Source #

y :: LaurentMPoly Q Source #

z :: LaurentMPoly Q Source #

denominatorLP :: Num r1 => LaurentMPoly r2 -> LaurentMPoly r1 Source #

inject :: (Eq r, Num r) => r -> LaurentMPoly r Source #

sqrtvar :: Num r => String -> LaurentMPoly r Source #

subst :: (Eq r, Fractional r, Show r) => [(LaurentMPoly r, LaurentMPoly r)] -> LaurentMPoly r -> LaurentMPoly r Source #

(^^^) :: (Eq a, Fractional a, Show a) => LaurentMPoly a -> Q -> LaurentMPoly a Source #